HERD(1)

NAME
herd - Control the shepherd(1) service manager

DESCRIPTION
herd [OPTIONS...] ACTION SERVICE [ARG...] Apply ACTION (start, stop, status, etc.) on SERVICE with the ARGs.

--group=GROUP
    run the given program as GROUP

--user=USER
    run the given program as USER

-E, --environment-variable=ENVIRONMENT
    pass the environment variable specified by ENVIRONMENT

-d, --working-directory=DIRECTORY
    run service from DIRECTORY (for transient services)

--log-file=FILE
    log service output to FILE

-N, --service-name=NAME
    register new service under NAME

-n, --log-history=NUMBER
    display up to NUMBER service log lines

-s, --socket=FILE
    send commands to FILE

--help
    display this help and exit

--usage
    display short usage message and exit

--version
    display version information and exit

Mandatory or optional arguments to long options are also mandatory or optional to the corresponding short options.

REPORTING BUGS
Report bugs to: bug-guix@gnu.org .
GNU Shepherd general home page: <https://www.gnu.org/software/shepherd/>
General help using GNU software: <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2025 the Shepherd authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for herd is maintained as a Texinfo manual. If the info and herd programs are properly installed at your site, the command

    info shepherd

should give you access to the complete manual.